ActiveMQBeanDefinitionReader (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.spring.ActiveMQBeanDefinitionReader class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.spring
Class ActiveMQBeanDefinitionReader

    java.lang.Object
      org.springframework.beans.factory.support.AbstractBeanDefinitionReader
          org.springframework.beans.factory.xml.XmlBeanDefinitionReader
              org.codehaus.activemq.spring.ActiveMQBeanDefinitionReader

All Implemented Interfaces:
  org.springframework.beans.factory.support.BeanDefinitionReader

public class ActiveMQBeanDefinitionReader
extends org.springframework.beans.factory.xml.XmlBeanDefinitionReader

Version:
  $Revision: 1.2 $

Nested Class Summary

Nested classes inherited from class org.springframework.beans.factory.xml.XmlBeanDefinitionReader
``

Field Summary

Fields inherited from class org.springframework.beans.factory.support.AbstractBeanDefinitionReader
`logger`

Constructor Summary
`ActiveMQBeanDefinitionReader(org.springframework.beans.factory.support.BeanDefinitionRegistry beanDefinitionRegistry, String brokerName)`

Method Summary
`protected EntityResolver` | `createEntityResolver()`
`static Transformer` | `createTransformer(Source source)`
`protected Source` | `createXslSource()` Creates the XSL resource for the transformation
`String` | `getBrokerName()`
`protected org.springframework.core.io.ClassPathResource` | `getXslResource()`
`int` | `registerBeanDefinitions(Document document, org.springframework.core.io.Resource resource)`
`void` | `setBrokerName(String brokerName)`
`protected Document` | `transformDocument(Document document)` A hook to transform the source document into a default Spring XML configuration

Methods inherited from class org.springframework.beans.factory.xml.XmlBeanDefinitionReader
`loadBeanDefinitions, setEntityResolver, setParserClass, setValidating`

Methods inherited from class org.springframework.beans.factory.support.AbstractBeanDefinitionReader
`getBeanClassLoader, getBeanFactory, setBeanClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActiveMQBeanDefinitionReader

    public ActiveMQBeanDefinitionReader(org.springframework.beans.factory.support.BeanDefinitionRegistry beanDefinitionRegistry,
                                        String brokerName)

Method Detail

### registerBeanDefinitions

    public int registerBeanDefinitions(Document document,
                                       org.springframework.core.io.Resource resource)
                                throws org.springframework.beans.BeansException

  Throws:
    `org.springframework.beans.BeansException`

### createTransformer

    public static Transformer createTransformer(Source source)
                                         throws TransformerConfigurationException

  Throws:
    `TransformerConfigurationException`

### getBrokerName

    public String getBrokerName()

### setBrokerName

    public void setBrokerName(String brokerName)

### transformDocument

    protected Document transformDocument(Document document)
                                  throws IOException,
                                         TransformerException

  A hook to transform the source document into a default Spring XML configuration

  Parameters:
    `document` -
  Returns:
  Throws:
    `IOException`
    `TransformerException`

### createXslSource

    protected Source createXslSource()
                              throws IOException

  Creates the XSL resource for the transformation

  Returns:
  Throws:
    `IOException`

### getXslResource

    protected org.springframework.core.io.ClassPathResource getXslResource()

  Returns:
    the resource to use for the XSLT

### createEntityResolver

    protected EntityResolver createEntityResolver()

  Returns:
    a new EnittyResolver

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.